Bug 16793 - Use Font Awesome for arrows instead of images in audio_alerts.tt
Summary: Use Font Awesome for arrows instead of images in audio_alerts.tt
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Héctor Eduardo Castro Avalos
QA Contact: Testopia
URL:
Keywords:
Depends on: 16148
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-21 21:15 UTC by Héctor Eduardo Castro Avalos
Modified: 2017-12-07 22:16 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16793: Use Font Awesome for arrows instead of images in audio_alerts.tt (3.14 KB, patch)
2016-06-21 21:19 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16793: Use Font Awesome for arrows instead of images in audio_alerts.tt (3.27 KB, patch)
2016-06-21 22:05 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16793: Use Font Awesome for arrows instead of images in audio_alerts.tt (3.38 KB, patch)
2016-06-24 15:55 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 16793 [16.05] Add 3 missing css rules (854 bytes, patch)
2016-08-16 15:50 UTC, Frédéric Demians
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Héctor Eduardo Castro Avalos 2016-06-21 21:15:41 UTC
This changes fit with bug 16148 for marc modification template management
Comment 1 Héctor Eduardo Castro Avalos 2016-06-21 21:19:52 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-06-21 22:05:42 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2016-06-24 15:55:52 UTC
Created attachment 52823 [details] [review]
Bug 16793: Use Font Awesome for arrows instead of images in audio_alerts.tt

This changes fit with bug 16148 for marc modification template management

To test
-Apply patch
-Goto Admin->Audio alerts
-Verify that green arrows have disappeared now
 in blue Awesome Icons

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

https://bugs.koha-community.org/show_bug.cgi?id=16794
Comment 4 Kyle M Hall 2016-07-08 13:11:57 UTC
Pushed to master for 16.11, thanks Hector!
Comment 5 Frédéric Demians 2016-08-01 13:28:55 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 6 Julian Maurice 2016-08-16 15:14:33 UTC
Frédéric, some style definitions may be missing in 16.05 (.overline, .underline, .order-control) since they are introduced by bug 16148, which is not in 16.05.x
Comment 7 Frédéric Demians 2016-08-16 15:34:49 UTC
(In reply to Julian Maurice from comment #6)
> Frédéric, some style definitions may be missing in 16.05 (.overline,
> .underline, .order-control) since they are introduced by bug 16148, which is
> not in 16.05.x

Thanks a lot for catching this! You're totally correct. Those CSS rules are missing in 16.05.x. The visual effect is almost unnoticeable, but it's there. I will fix that. Thks again.
Comment 8 Frédéric Demians 2016-08-16 15:50:52 UTC
Created attachment 54513 [details] [review]
Bug 16793 [16.05] Add 3 missing css rules